Subject: bug#52002: closed (Re: bug#52002: missing $GUIX_PROFILE/share/emacs/site-lisp in EMACSLOADPATH)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 Nov 2021 02:31:02 +0000

Your bug report

#52002: missing $GUIX_PROFILE/share/emacs/site-lisp in EMACSLOADPATH

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52002: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52002
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52002: missing $GUIX_PROFILE/share/emacs/site-lisp in EMACSLOADPATH
From: Maxim Cournoyer <[email-masked]>
To: bbb ee <[email-masked]>
Cc: [email-masked]
Date: Sat, 27 Nov 2021 21:30:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

bbb ee <[email-masked]> writes:

> Thanks, the problem is solved.
>
> ## Possible cause
> Initially, I have emacs installed and ~/.guix-profile/etc/profile sourced.
>
> but when I type "guix package -I | grep emacs". I don't see emacs package
> (strange).
>
> So I reinstall emacs : guix install emacs. Then I can see 2 emacs-27.1
> installation
> ```
> $ which -a emacs
> /home/dev_1/.guix-profile/bin/emacs
> /home/dev_1/.guix-profile/bin/emacs
> /run/current-system/profile/bin/emacs
>
> $ ls -l /home/dev_1/.guix-profile/bin/emacs
> lrwxrwxrwx 8 root root 64 Jan  1  1970 /home/dev_1/.guix-profile/bin/emacs
> -> /gnu/store/6mw831p6pccqwr3k3qanr6pmhcq0qym6-emacs-27.1/bin/emacs
>
> $ ls -l /run/current-system/profile/bin/emacs
> lrwxrwxrwx 2 root root 64 Jan  1  1970
> /run/current-system/profile/bin/emacs ->
> /gnu/store/yy66pbp3h5mw5sv7hrl1778skapszq7k-emacs-27.1/bin/emacs
> ```
>
> Now $EMACSLOADPATH contains 6 paths with
> "$GUIX_PROFILE/share/emacs/site-lisp" in it:
> ```
> $ echo $EMACSLOADPATH
> /home/dev_1/.guix-profile/share/emacs/site-lisp:/home/dev_1/.guix-profile/share/emacs/27.1/lisp:/home/dev_1/.guix-profile/share/emacs/site-lisp:/home/dev_1/.guix-profile/share/emacs/27.1/lisp:/run/current-system/profile/share/emacs/site-lisp:/run/current-system/profile/share/emacs/27.1/lisp
> ```
> Before $EMACSLOADPATH contains only 2 paths without
> "$GUIX_PROFILE/share/emacs/site-lisp" in it.
>
> I think my first emacs installation should has something break,so
> $EMACSLOADPATH isn't correctly set.
>
> Thanks again

Alright, glad you got it sorted!

Closing.

Maxim

Subject: missing $GUIX_PROFILE/share/emacs/site-lisp in EMACSLOADPATH
From: bbb ee <[email-masked]>
To: [email-masked]
Date: Sat, 20 Nov 2021 09:19:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

## Description of bug
emacs can't load packages installed by guix because missing
$GUIX_PROFILE/share/emacs/site-lisp
in EMACSLOADPATH

$GUIX_PROFILE/share/emacs/site-lisp isn't set in my
$GUIX_PROFILE/etc/profile and not in my $EMACSLOADPATH

```
$ echo $EMACSLOADPATH
/run/current-system/profile/share/emacs/site-lisp:/run/current-system/profile/share/emacs/27.1/lisp

$ less $GUIX_PROFILE/etc/profile
export EMACSLOADPATH="${GUIX_PROFILE:-/gnu/store/vq5dzmbx202z9p5hjyxfzcdpyzapxgxg-profile}/share/emacs/site-lisp:${GUIX_PROFILE:-/gnu/store/vq5dzmbx202z9p5hjyxfzcdpyzapxgxg-profile}/share/emacs/27.1/lisp${EMACSLOADPATH:+:}$EMACSLOADPATH"

```

## Workaround used
add in init.el
```
(add-to-list 'load-path "/home/dev_1/.guix-profile/share/emacs/site-lisp")
(guix-emacs-autoload-packages)
```
## version
emacs 27.1